KDE4 4.8.1 > started "public testing" for Mandriva 2010.2

Latest shouts directly from our packagers and call for public testing MIB packages
User avatar
NicCo
Amministratore
Amministratore
Posts: 4740
Joined: 6 December 2007, 19:54

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by NicCo »

You can help us to bug squashing this problem with Nepomuk into 2010.2 / 64
> I've changed "mysql.conf" to tell him to use /usr/lib64/ but the
> error is still there
>
> 20317
> 6:56:51 [ERROR] Can't open shared library
> '/usr/lib64/mysql/plugin/ha_archive.so' (errno: 22 cannot open shared
> object file: No such file or directory)
That file must be a part of mysql rpm, i have the doubt that some OS have not installed mysql
so now you can check if you have or not missing ha_archive.so, using these comands below

Mandriva 2010.2 64bit

Code: Select all

$ rpm -qf /usr/lib64/mysql/plugin/ha_archive.so
mysql-5.1.61-0.1mdv2010.2
Mandriva 2010.2 32bit

Code: Select all

$ rpm -qf /usr/lib/mysql/plugin/ha_archive.so
mysql-5.1.61-0.1mdv2010.2
if the answer is negative, no file is present, mysql should have been missed from install...
in that case you must install iimmediately mysql, and then check again if you have the file

Code: Select all

urpmi mysql
Mandriva 2010.2 64bit

Code: Select all

$ rpm -qf /usr/lib64/mysql/plugin/ha_archive.so
mysql-5.1.61-0.1mdv2010.2
bye, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
azioga
Utente senior
Utente senior
Posts: 336
Joined: 8 December 2010, 22:06
ROSA: -
OpenMandriva: 2010.2 32bit
Kernel: 3.2.28-nrj-desktop-p
Desktop: kde 4.5.5
country: italy

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by azioga »

Code: Select all

$ rpm -ql mysql-5.1.61-0.1mdv2010.2
/etc/rc.d/init.d/mysqld
/usr/lib/mysql/plugin
/usr/lib/mysql/plugin/ha_archive.so
/usr/lib/mysql/plugin/ha_blackhole.so
/usr/lib/mysql/plugin/ha_federated.so
/usr/lib/mysql/plugin/ha_innodb_plugin.so
/usr/share/doc/mysql
/usr/share/doc/mysql/README.urpmi

without this rpm also akonadi could have some problems (innodb)

Ciao, Luca

User avatar
NicCo
Amministratore
Amministratore
Posts: 4740
Joined: 6 December 2007, 19:54

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by NicCo »

It has been reported an error with KDE4 4.8.1 and Digikam 2.5.0:
it crashes when you insert the photocamera to import the photos

Googling with the words:

Code: Select all

digikam kde 4.8.1 crash
many links confirm that's a common error, one example
http://old.nabble.com/-Bug-295778--New% ... 81702.html

so, for that thing we can't do nothing apart waiting that the problem is solved in newer program versions:
we'll port ASAP all newer rpms packages for KDE4 4.8.2 and/or DigiKam 2.5.1 or newer 2.6.0 (now b2)
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
azioga
Utente senior
Utente senior
Posts: 336
Joined: 8 December 2010, 22:06
ROSA: -
OpenMandriva: 2010.2 32bit
Kernel: 3.2.28-nrj-desktop-p
Desktop: kde 4.5.5
country: italy

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by azioga »

Today i had a problem with my Canon sx220 camera.

Kde 4.8.1 doesn't detect the camera when i insert the usb connector.

In kde 4.5.5 it's recognized as "usb Imaging Interface"

Gnome works and detect the camera.

The kio camera:/ works.
Gphoto2 command line works.

It seems a device notify problem.

am i the only one?

Ciao, Luca.

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by GvMariani »

darkc wrote:
azioga wrote:this could be the culprit...
the strange thing is that in kde 4.5.5 MIB, kde 4.6.5 2011.0 and kde 4.8.0 cooker
ldd /usr/bin/kwin|grep -i xinerama
(I get nothing)
According to the gentoo post, this guy had the same pb and it looks like that the way how kde4 manage multi-monitor has evolved along the releases.
Anyway it worth to give a try... and I am devoted to test it ;)
I thinks it's just a matter of recompiling kwin module from kde-workspace, with xinerama activated. To activate it I don't know how to do it. It's maybe just enough to have libxinerama-devel package installed on the building machine, then cmake engine will detect the presence and will include it, just a guess....
Sorry for the delay...
I made some research about this issue and finally stumbled upon this message from the main kwin developer:
http://osdir.com/ml/kwin/2012-01/msg00091.html
If I'm not wrong, that means the xinerama support was completely removed from kwin code base since 26/01/2012 (ie a good bunch of time before thew KDE 4.8 release):
if so, there is nothing we can do with a rebuild of kwin; the only remaining option could be revert the patches listed in the above message in our packages, hoping this will not break other things...
but this is a choice I would like to defer to Pulfer, the main force behind our KDE backport.

However, I would also argue that, being xinerama a xserver extensionl deprecated in favor of the xrand one, you should also file with the nvidia support about this issue:
perhaps they will listen to you and change their closed sw to implement more recent stuff (YMMV, though...).

Cheers.

GvM

User avatar
darkc
Utente junior
Utente junior
Posts: 17
Joined: 15 March 2012, 16:53
OpenMandriva: 2010.2
Kernel: 2.6.36.2-desktop-2mn
Desktop: kde 4.8.1
country: France

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by darkc »

GvMariani wrote: Sorry for the delay...
I made some research about this issue and finally stumbled upon this message from the main kwin developer:
http://osdir.com/ml/kwin/2012-01/msg00091.html
If I'm not wrong, that means the xinerama support was completely removed from kwin code base since 26/01/2012 (ie a good bunch of time before thew KDE 4.8 release):
if so, there is nothing we can do with a rebuild of kwin; the only remaining option could be revert the patches listed in the above message in our packages, hoping this will not break other things...
but this is a choice I would like to defer to Pulfer, the main force behind our KDE backport.

However, I would also argue that, being xinerama a xserver extensionl deprecated in favor of the xrand one, you should also file with the nvidia support about this issue:
perhaps they will listen to you and change their closed sw to implement more recent stuff (YMMV, though...).

Cheers.

GvM
I rebuilt kde-workspace from kde4.81 by MIB and from kde481 by Mageia2. Kwin is linked against xinerama with mageia2 and I guess I found why : it's because their Qt libs was compiled with xinerama enable which is not the case for MIB.

And for mageia2 kde481 twinview works correctly with an nvidia card, so it's not a pb of nvidia.

Then I am still confuse bc Xinerama is the only difference I found between the two distributions....

User avatar
darkc
Utente junior
Utente junior
Posts: 17
Joined: 15 March 2012, 16:53
OpenMandriva: 2010.2
Kernel: 2.6.36.2-desktop-2mn
Desktop: kde 4.8.1
country: France

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by darkc »

Twinview kde 481:

even better, libQt from MIB is NOT linked against xrandr, but it's true with mageia2.

so xinerama (ok maybe deprecated) AND xrandr are NOT enabled with Qt libs on MIB. It could be a pb for twinview, I guess.

JC

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by GvMariani »

darkc wrote: I rebuilt kde-workspace from kde4.81 by MIB and from kde481 by Mageia2. Kwin is linked against xinerama with mageia2 and I guess I found why : it's because their Qt libs was compiled with xinerama enable which is not the case for MIB.
That is a thing worth investigating...
I'll look at their srpms to see what are the differences for the package Pulfer made for us.
However please notice that on the build machine I used to build KDE & Qt the proper devel packages for libxinerama and libxrand are installed so
I can't guess why they did not get picked from the build process...
And for mageia2 kde481 twinview works correctly with an nvidia card, so it's not a pb of nvidia.
Then I am still confuse bc Xinerama is the only difference I found between the two distributions...
IMO the "nvida prob" is they are relying on a deprecated feature for twinview...
The fact that it "just works" on Mageia could be related to some different packaging choices (eg they could have patched in the xinerama support, thus reverting the developer's change):
it needs a good look at the srpms...

GvM

User avatar
NicCo
Amministratore
Amministratore
Posts: 4740
Joined: 6 December 2007, 19:54

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by NicCo »

LibreOffice 3.5.1.2 for MIB KDE 4.8
È da pochi minutii disponibile un nuovo mega port, stavolta riguarda la suite LibreOffice:
nella sua ultima versione 3.5.1.2, il port è ottimizzato per funzionare con il MIB KDE 4.8

per adesso è disponibile solo in versione 32bit (i686), ma a giorni sarà portato anche su x64.
completato stamattina, testato su due PC con successo, da considerarsi in fase di /testing,
se qualcuno lo volesse provare, ecco come fare

Code: Select all

urpmi.addmedia --update MIB-kde4.8_libreoffice_32 http://mib.pianetalinux.org/MIB/2010.2/others/kde4.8/i686/kde4.8-libreoffice/
urpmi --auto-select --auto
# Complimenti, adesso dovresti aver installato il nuovo LibreOffice 3.5.1
Poi naturalmente fateci sapere come va

Ciao, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
azioga
Utente senior
Utente senior
Posts: 336
Joined: 8 December 2010, 22:06
ROSA: -
OpenMandriva: 2010.2 32bit
Kernel: 3.2.28-nrj-desktop-p
Desktop: kde 4.5.5
country: italy

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by azioga »

abortisce salvando il documento :(

User avatar
NicCo
Amministratore
Amministratore
Posts: 4740
Joined: 6 December 2007, 19:54

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by NicCo »

Strano, perchè è stato testato ampiamente da Dago68 su ben due differemti PC, poi stamattina anche da Pulfer


Per piacere, controlla adesso:

a> prova se qualche precedente impostazione di openoffice gli da fastidio, rinominando le config precedenti

b> prova a togliere l'estensione kde che probabilmente non va di suo, mi ricordo ha dato sempre e solo rogne
se fosse per quello, farò come suggerisce pulfer, togliamo il file di itnegrazione kde ancora bacato dal repo...


Ciao, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
azioga
Utente senior
Utente senior
Posts: 336
Joined: 8 December 2010, 22:06
ROSA: -
OpenMandriva: 2010.2 32bit
Kernel: 3.2.28-nrj-desktop-p
Desktop: kde 4.5.5
country: italy

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by azioga »

provato anche da xguest.

Code: Select all

[pid 17848] mprotect(0x9eade000, 4096, PROT_READ) = 0
[pid 17848] mprotect(0x9eb3f000, 8192, PROT_READ) = 0
[pid 17848] munmap(0x9eae0000, 131584)  = 0
[pid 17848] gettimeofday({1332590363, 41127}, {4294967236, 0}) = 0
[pid 17848] time(NULL)                  = 1332590363
[pid 17848] open("/usr/lib/redland", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
[pid 17848] --- SIGSEGV (Segmentation fault) @ 0 (0) ---

Code: Select all

$ rpm -aq | grep libreof
libreoffice-writer-3.5.1.2-69mib2010.2
libreoffice-langpack-it-3.5.1.2-69mib2010.2
libreoffice-java-common-3.5.1.2-69mib2010.2
libreoffice-core-3.5.1.2-69mib2010.2
libreoffice-calc-3.5.1.2-69mib2010.2
libreoffice-ure-3.5.1.2-69mib2010.2
libreoffice-opensymbol-fonts-3.5.1.2-69mib2010.2
l'estensione kde non mi sembra ci sia

purtroppo devo fare il downgrade perchè oggi libreoffice mi serve

Ciao, Luca.

User avatar
darkc
Utente junior
Utente junior
Posts: 17
Joined: 15 March 2012, 16:53
OpenMandriva: 2010.2
Kernel: 2.6.36.2-desktop-2mn
Desktop: kde 4.8.1
country: France

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by darkc »

Kde 4.8.1 twinview multi-monitor support [SOLVED]

Hi there,

I am proud to tell you that I have my kde 4.8.1 (by MIB) operational with fully multiple-monitor support (one desktop per monitor) finally !!! :D

It was a problem of QT library which was not compiled with "xrandr" and "xinerama" support enabled.

For the MIB developpers :

you have to modify the file qt4.spec from the src rpm qt4-4.8.0-69.6mib2010.2.src.rpm, by adding -xinerama and -xrandr in the configure list option.

Here is a diff between your qt4.spec file and mine :

Code: Select all

ouzo:/home/jcl/rpmbuild/SPECS> diff qt4.spec*                                                                                                                                                                      
1085,1086d1084                                                                                                                                                                                                          
<     -xinerama \                                                                                                                                                                                                       
<     -xrandr \  
Atfter recompiling you have to logout/login and voilà !


PLease, try to re-build qt4 ASAP with my recommandations, then we could update our machines.

Darkc
Last edited by rugyada on 26 March 2012, 16:17, edited 1 time in total.
Reason: Red text is reserved to admins/moderator only.

User avatar
Pulfer
Collaboratore
Collaboratore
Posts: 291
Joined: 30 July 2008, 3:10
ROSA: 2012.1 i686
OpenMandriva: -
Kernel: 3.10.x
Desktop: KDE 4.10.x
country: Russia
Location: Vladivostok

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by Pulfer »

Darkc, thanx :) Our packager GvM also found this solution and so far I know he prepared updated packages already for testing. But it's great to know that you already tested this solution and it works. So soon updated by GvM Qt4 should also be in MIB kde4.8/general.

P.S. Meanwhile I'm updating Qt4 in Cooker to have this problem solved there too.
Core i7-3770 / 4 Gb RAM / Gigabyte Z77-D3H / ASUS ENGTS250 / Rosa 2012.1 i686

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: KDE4 4.8.1 > started "public testing" for Mandriva 2010.

Post by GvMariani »

darkc wrote:Kde 4.8.1 twinview multi-monitor support [SOLVED]
Hi there,
I am proud to tell you that I have my kde 4.8.1 (by MIB) operational with fully multiple-monitor support (one desktop per monitor) finally !!! :D
It was a problem of QT library which was not compiled with "xrandr" and "xinerama" support enabled.
Thanks darkc, your input was very valuable to pin down the cause of your (our) troubles...
The whole thing origins in a rather weird thing: even if the configure from Qt sources says in the help that -xinerama & -xrandr are the default values and that the build process automagically picks up the relevant header files (if present on the build PC), without the above switches what really happens is that you end with a Qt build *without* xinerama/xrandr support...

The ldd test you suggested from the original MIB build and from one I did whit the two missing switches confirms that...
and with your feedback we will upload the newer and fixed build.

GvM

Post Reply